Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
backup-policies
List backup policies
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/backup-policies \
  --header 'Authorization: Bearer <token>'
{
  "type": "<string>",
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "display_name": "<string>",
      "name": "<string>",
      "target": "production",
      "retention_value": 123,
      "retention_unit": "<string>",
      "frequency_value": 123,
      "frequency_unit": "<string>",
      "schedule_time": "<string>",
      "schedule_day": 123,
      "schedule_week": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "last_ran_at": "<string>",
      "next_run_at": "<string>",
      "required": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://planetscale.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

Query Parameters

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

Returns backup policies for the database

type
string
required

The response type. Always "list" for paginated responses.

current_page
integer
required

The current page number

next_page
integer | null
required

The next page number, or null when this is the last page

next_page_url
string | null
required

The next page of results, or null when this is the last page

prev_page
integer | null
required

The previous page number, or null when this is the first page

prev_page_url
string | null
required

The previous page of results, or null when this is the first page

data
object[]
required